<?php declare(strict_types=1);

namespace App\ServiceResults\Api\V1\CaptchaGenerateService;

use App\Captcha\Dto\ImageBody;
use App\Captcha\Dto\ImageHead;
use App\ServiceResults\ServiceResult;

final class Captcha extends ServiceResult
{
    public function __construct(
        private readonly ImageHead $imageHead,
        private readonly ImageBody $imageBody
    ) { }

    public function getImageHead(): ImageHead
    {
        return $this->imageHead;
    }

    public function getImageBody(): ImageBody
    {
        return $this->imageBody;
    }
}
